---
title: <msqrt>
slug: Web/MathML/Element/msqrt
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:General Layout Schemata'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;msqrt&gt;</code> element is used to display square roots (no index is displayed). The square root accepts only one argument, which leads to the following syntax: <code>&lt;msqrt&gt; <em>base</em> &lt;/msqrt&gt;</code>.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style">class, id, style</dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-href">href</dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground">mathbackground</dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor">mathcolor</dt>
 <dd>The text color and also the color of the root symbol itself. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Sample rendering: <img alt="root-x" src="/files/3201/msqrt.png" style="margin-left: 10px; vertical-align: middle;"></p>

<p>Rendering in your browser: <math> <msqrt> <mi>x</mi> </msqrt> </math></p>

<pre class="brush: html notranslate">&lt;math&gt;

 &lt;msqrt&gt;
    &lt;mi&gt;x&lt;/mi&gt;
  &lt;/msqrt&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#radicals-msqrt-mroot", "msqrt")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mroot', 'msqrt') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.msqrt', 'msqrt') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.msqrt")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("mroot") }} (Radical with an index)</li>
</ul>
